Bug 446626 - RandR12/ display acts weirds
RandR12/ display acts weirds
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 09:19 EDT by ritz
Modified: 2009-03-08 19:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 19:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (319.75 KB, text/plain)
2008-05-15 09:19 EDT, ritz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 16148 None None None Never

  None (edit)
Description ritz 2008-05-15 09:19:28 EDT
Description of problem:
When RandR12 is enabled in driver option, the primary display on laptop goes
Green to Yellow with vertical lines, and the secondary display with VGA
connector works fine.

 When using DVI cable, the secondary display also starts acting weird ( rainbow
coloured checkboxes).

Version-Release number of selected component (if applicable):
kernel-2.6.25-14.fc9.i686
xorg-x11-drv-nouveau-0.0.10-2.20080408git0991281.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. Enable RandR12 option
2. Enable dual-head using gnome-display-properties
3. Display goes crazy
  
Actual results:
Crazy psychedelic coloured display

Expected results:
Sane boring functional display

Additional info:
xorg log attached
Comment 1 ritz 2008-05-15 09:19:28 EDT
Created attachment 305487 [details]
xorg log
Comment 2 ritz 2008-05-28 05:07:08 EDT
the primary display's (laptop) output appears green, presence of an external
display makes no difference.

  Display appears grainy ( something like a old telly) , when switching to VT.
Comment 4 ritz 2009-02-05 13:50:19 EST
Please close this bug, as I do not have access to the hardware in question. 

-- ritz
Comment 5 Ben Skeggs 2009-03-08 19:17:10 EDT
Closing due to reporter not having the hw anymore.  The responsible part of the nouveau driver has seen significant improvements since the report however, so it's likely fixed in current releases anyway.

Note You need to log in before you can comment on or make changes to this bug.